Bug 869029 - Quantum does not properly support network namespaces due to missing dependency in iproute2 for netns
Quantum does not properly support network namespaces due to missing dependenc...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: snapshot2
: 3.0
Assigned To: Chris Wright
Ofer Blaut
: TestBlocker, TestOnly, Triaged
Depends On: 869004 966585 980553
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 16:23 EDT by Perry Myers
Modified: 2016-04-26 20:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 869004
Environment:
Last Closed: 2013-08-15 09:27:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2012-10-22 16:23:03 EDT
+++ This bug was initially created as a clone of Bug #869004 +++

Description of problem:
OpenStack Quantum requires iproute2

Version-Release number of selected component (if applicable):
v3.0.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from chrisw@redhat.com on 2012-10-22 14:13:35 EDT ---

RHEL has something like: iproute-2.6.32-20.el6.x86_64
The version v3.0.0 (an internal tag) has netns.  The relevant git commits are:

223f4d8 iproute2: Fail "ip netns add" on existing network namespaces.
2e8a07f iproute2: Auto-detect the presence of setns in libc
0dc34c7 iproute2: Add processless network namespace support

--- Additional comment from chrisw@redhat.com on 2012-10-22 14:16:53 EDT ---

Using RH OpenStack with Qauntum network service manager requires namespaces to support isolated virtual networks overlapping IP address ranges.
Comment 2 Perry Myers 2013-05-20 12:51:30 EDT
This bug is simply to track testing of Quantum with the new version of iproute2 and netns enabled kernel.  Setting to TestOnly and TestBlocker and acking for 3.0 release
Comment 3 Jay Turner 2013-05-20 14:49:49 EDT
Any details about the unit testing which was completed would be most appreciated :-)
Comment 4 Ofer Blaut 2013-06-04 04:29:35 EDT
iproute-2.6.32-23.el6ost.netns.2.x86_64 is now supported.

I run Maru script that test ip netns support

Note You need to log in before you can comment on or make changes to this bug.